###

###

###

###

###

###

###

    TMPFILE(3)          Linux Programmer's Manual          TMPFILE(3)

    NAME
           tmpfile - create a temporary file

    SYNOPSIS
           #include <stdio.h>

           FILE *tmpfile (void);

    DESCRIPTION
           The  tmpfile() function generates a unique temporary file-
           name using the path prefix P_tmpdir defined in  <stdio.h>.
           The  temporary  file  is  then opened in binary read/write
           (w+b) mode.  The file will be automatically  deleted  when
           it is closed or the program terminates.

    RETURN VALUE
           The  tmpfile()  function  returns  a stream descriptor, or
           NULL if a unique  filename  cannot  be  generated  or  the
           unique file cannot be opened.

    ERRORS
           EACCES Search  permission  denied  for directory in file's
                  path prefix.

           EEXIST Unable to generate a unique filename.

           EMFILE Too many file descriptors in use by process.

           ENFILE Too many files open in system.

           EROFS  Read-only filesystem.

    CONFORMING TO
           SVID 3, POSIX, BSD 4.3, ISO 9899

### SEE ALSO

mktemp, mkstemp, tmpnam, tempnam,

###

    GNU                       April 3, 1993                         1

Top | Master Index | Keywords | Functions

This manual page was brought to you by mjl_man V-2.0